<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlarmScreenNg: Customization</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlarmScreenNg
   &#160;<span id="projectnumber">0.9.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Customization </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>This chapter describes the procedures and corresponding panels that can be used to customize the appearance and behavior of the AS EWO. There are two major sources of configuration for the AS:</p>
<ul>
<li>
The basic configuration that defines the basic aspects of the AS operation. The basic configuration is encoded in a <a class="el" href="page_RefJson.html#sec_RefJsonBasicConfig">JSON string</a>, stored in a <a class="el" href="page_RefDp.html#sec_RefDpBasicConfig">dedicated DP</a>. The basic configuration is prepared/modified manually (using any text editor); the AS does not include any panels to help editing the basic configuration it should be changed only by experts.  </li>
<li>
Customization of the AS appearance and high-level functionality that can be done by any user. It is expected that a single user (or a group of users) will be made the administrator and will <a class="el" href="page_ConfigAdmin.html">decide</a> which users are allowed to perform particular actions, including the AS customization.  </li>
</ul>
<p>All possible customization tasks are initiated from the popup menu that appears when the <b>Settings...</b> button in the <a class="el" href="pageUsingAS.html#ewoOverviewPicture">footer area</a> of the AS EWO is clicked:</p>
<p><a class="anchor" id="pictureSettingsMenu"></a></p><div class="image">
<img src="settingsMenu.png" alt=""/>
<div class="caption">
Popup menu for the Settings button</div></div>
 <p>The following sections describe the functionality behind every menu item:</p>
<p><a class="el" href="page_UserSettings.html">User Settings</a></p>
<p><a class="el" href="page_ConfigAdmin.html">Admin Settings</a></p>
<p><a class="el" href="page_FilterViewEditor.html">Filter View editor</a> </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
